// CMainThread.h

class CMainThread {
public:
					CMainThread(
						int		argc,
						char		**argv);
					~CMainThread();
	
	int32			Go();
	
private:
	static int32		Entry(
						void			*arg);
	int32			MainLoop();

	/* vars */
	thread_id			mID;	
	int				mArgc;
	char				**mArgv;
};
